﻿using System;
using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;

namespace AgHSQL
{
    public partial class App : Application
    {
        private Proxy proxy;

        public App()
        {
            proxy = new Proxy();
            this.Startup += this.Application_Startup;
            this.Exit += this.Application_Exit;
            this.UnhandledException += this.Application_UnhandledException;
            InitializeComponent();
        }

        private void Application_Startup(object sender, StartupEventArgs e)
        {
            const string HSQL_NAME = "hsql";
            this.RootVisual = new UserControl();
            string objectName = null;
            if (e.InitParams.ContainsKey(HSQL_NAME))
            {
                objectName = e.InitParams[HSQL_NAME];
            }
            if (string.IsNullOrEmpty(objectName))
            {
                objectName = "_hsql";
            }
            HtmlPage.RegisterScriptableObject(objectName, proxy);
        }

        private void Application_Exit(object sender, EventArgs e)
        {
            proxy.CloseDB();
        }
        private void Application_UnhandledException(object sender, ApplicationUnhandledExceptionEventArgs e)
        {

        }
    }
}
